
package com.americamovil.dda._1.m.enviapedidocompra;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.americamovil.dda._1.m.enviapedidocompra package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _MTPedidoCompraRes_QNAME = new QName("http://americamovil.com/DDA/1/M/EnviaPedidoCompra", "MT_PedidoCompra_res");
    private final static QName _MTPedidoCompra_QNAME = new QName("http://americamovil.com/DDA/1/M/EnviaPedidoCompra", "MT_PedidoCompra");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.americamovil.dda._1.m.enviapedidocompra
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link DTPedidoCompra }
     * 
     */
    public DTPedidoCompra createDTPedidoCompra() {
        return new DTPedidoCompra();
    }

    /**
     * Create an instance of {@link DTPedidoCompra.PedidoCompra }
     * 
     */
    public DTPedidoCompra.PedidoCompra createDTPedidoCompraPedidoCompra() {
        return new DTPedidoCompra.PedidoCompra();
    }

    /**
     * Create an instance of {@link DTPedidoCompraRes }
     * 
     */
    public DTPedidoCompraRes createDTPedidoCompraRes() {
        return new DTPedidoCompraRes();
    }

    /**
     * Create an instance of {@link DTPedidoCompra.PedidoCompra.Item }
     * 
     */
    public DTPedidoCompra.PedidoCompra.Item createDTPedidoCompraPedidoCompraItem() {
        return new DTPedidoCompra.PedidoCompra.Item();
    }

    /**
     * Create an instance of {@link DTPedidoCompraRes.Resultado }
     * 
     */
    public DTPedidoCompraRes.Resultado createDTPedidoCompraResResultado() {
        return new DTPedidoCompraRes.Resultado();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DTPedidoCompraRes }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://americamovil.com/DDA/1/M/EnviaPedidoCompra", name = "MT_PedidoCompra_res")
    public JAXBElement<DTPedidoCompraRes> createMTPedidoCompraRes(DTPedidoCompraRes value) {
        return new JAXBElement<DTPedidoCompraRes>(_MTPedidoCompraRes_QNAME, DTPedidoCompraRes.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DTPedidoCompra }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://americamovil.com/DDA/1/M/EnviaPedidoCompra", name = "MT_PedidoCompra")
    public JAXBElement<DTPedidoCompra> createMTPedidoCompra(DTPedidoCompra value) {
        return new JAXBElement<DTPedidoCompra>(_MTPedidoCompra_QNAME, DTPedidoCompra.class, null, value);
    }

}
